## open-infrastructure-service-tools 20170701

=== Makefile ===
# Makefile

# apache-icons - Alternative icons for Apache autoindex
# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = apache-icons

all: build

build: share/man/*.txt
	$(MAKE) -C share/man

	sed -n '/^NAME/,$$p' share/man/$(SOFTWARE).7.txt > README.txt

	for ICON in share/icons/*; \
	do \
		ICON="$$(basename $${ICON})"; \
		mkdir -p build/$${ICON}-png; \
		mkdir -p build/$${ICON}-svg; \
		while read LINE; \
		do \
			TARGET="$$(echo $${LINE} | awk '{ print $$1 }')"; \
			SOURCE="$$(echo $${LINE} | awk '{ print $$2 }')"; \
			echo "Converting $${SOURCE} to $${TARGET}..."; \
			rsvg-convert -f svg -h 22 -w 22 share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-svg/$${TARGET}.svg; \
			rsvg-convert share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-png/$${TARGET}.orig.png; \
			convert -resize 22x22 build/$${ICON}-png/$${TARGET}.orig.png build/$${ICON}-png/$${TARGET}.png; \
			rm -f build/$${ICON}-png/$${TARGET}.orig.png; \
		done < share/maps/$${ICON}.txt; \
		sed -e 's|@FORMAT@|png|' share/apache/icon.conf.in > build/$${ICON}-png.conf; \
		sed -e 's|@FORMAT@|svg|' share/apache/icon.conf.in > build/$${ICON}-svg.conf; \
	done

install: build
	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -a CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -a build/* $(DESTDIR)/usr/share/$(SOFTWARE)

	for DIRECTORY in $(DESTDIR)/usr/share/$(SOFTWARE)/*-png; \
	do \
		cp -a share/common/*.png $${DIRECTORY}; \
	done

	for DIRECTORY in $(DESTDIR)/usr/share/$(SOFTWARE)/*-svg; \
	do \
		cp -a share/common/*.svg $${DIRECTORY}; \
	done

	mkdir -p $(DESTDIR)/etc/apache2/conf-available
	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available

	mkdir -p $(DESTDIR)/etc/apache2/mods-available
	cp -a share/apache/mods/* $(DESTDIR)/etc/apache2/mods-available

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	for FILE in share/apache/conf/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/conf-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/conf-available || true

	for FILE in share/apache/mods/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/mods-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/mods-available || true

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/*
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(SOFTWARE) || true

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)/*
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc/$(SOFTWARE) || true

clean:
	$(MAKE) -C share/man clean

	rm -rf build
	rm -f README.txt

distclean: clean

reinstall: uninstall install

.PHONY: build

=== debian/changelog ===
open-infrastructure-service-tools (20170701-3) unstable; urgency=medium

  * Renaming binary package to open-infrastructure-apache-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 10:37:50 +0100

open-infrastructure-service-tools (20170701-2) unstable; urgency=medium

  * Using lzip tarball in watch file.
  * Updating to standards version 4.1.1.
  * Adding Rules-Requires-Root field.
  * Adding enhances for apache2.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming source package to open-infrastructure-service-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 16:15:20 +0100

open-infrastructure-apache-icons (20170701-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170701.
  * Removing superfluous --parallel when invoking debhelper as it's the
    default with compat level 10, thanks to Gianfranco Costamagna
    <locutusofborg@debian.org>.
  * Generalizing rules file.
  * Updating to standards version 4.0.0.
  * Using https for copyright format url.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Jul 2017 10:16:43 +0200

open-infrastructure-apache-icons (20170405-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20170405.
  * Updating year in copyright information for 2017.
  * Using consistent email address for all downstream work.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2017 14:15:33 +0200

open-infrastructure-apache-icons (20161210-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161210.
  * Updating upstream contact in copyright file.
  * Making maintainer scripts executable in source tree.
  * Updating upstream signing key.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Dec 2016 11:03:05 +0100

open-infrastructure-apache-icons (20161101-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Oct 2016 17:23:44 +0200

open-infrastructure-apache-icons (20160701-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160701.
  * Adding provides apache-icons.
  * Updating upstream git location.
  * Updating vcs fields.
  * Updating build-depends to include tools for manpage generation.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Jul 2016 15:35:06 +0200

open-infrastructure-apache-icons (20160601-1) unstable; urgency=low

  * Initial upload to sid (Closes: #826323).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Jun 2016 11:54:42 +0200

=== debian/control ===
Source: open-infrastructure-service-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 12),
 dh-apache2,
 docbook-xml,
 docbook-xsl,
 imagemagick,
 librsvg2-bin,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://open-infrastructure.net/software/service-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools

Package: open-infrastructure-apache-tools
Section: admin
Architecture: all
Depends:
 apache2-data,
 ${misc:Depends},
Provides:
 apache-tools,
Enhances:
 apache2,
Breaks:
 open-infrastructure-apache-icons (<< 20170701-3~),
Replaces:
  open-infrastructure-apache-icons,
Description: Additional utilities for Apache
 The Apache HTTP Server is the world's most used web server software.
 .
 apache-icons provides alternative icons for Apache autoindex:
 .
   * tango-png: Tango Icon Theme based, PNG format
   * tango-svg: Tango Icon Theme based, SVG format
   * awesome-png: Font Awesome based, PNG format
   * awesome-svg: Font Awesome based, SVG format

Package: open-infrastructure-apache-icons
Architecture: all
Depends:
 open-infrastructure-apache-tools (= ${source:Version}),
 ${misc:Depends},
Description: Additional utilities for Apache (transitional package)
 Package to ease upgrading from older open-infrastructure-apache-icons package
 to the new open-infrastructure-apache-tools package.
 .
 This package can be purged at anytime once the open-infrastructure-apache-tools
 package has been installed.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := apache-tools

%:
	dh ${@} --with apache2

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-infrastructure-$(PACKAGE)

	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/CHANGELOG.txt
	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt

	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/apache-icons debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/apache-icons/upstream/apache-icons-(.+)\.tar\.lz

## open-infrastructure-service-tools 20190301

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
-# Makefile
-
-# apache-icons - Alternative icons for Apache autoindex
-# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +17,9 @@
 
 SHELL := sh -e
 
-SOFTWARE = apache-icons
+PROJECT = open-infrastructure
+SOFTWARE = service-tools
+PROGRAM = apache-icons
 
 all: build
 
@@ -47,18 +48,16 @@
 	done
 
 install: build
-	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
-	cp -a CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+	cp -r build/* $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
 
-	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
-	cp -a build/* $(DESTDIR)/usr/share/$(SOFTWARE)
-
-	for DIRECTORY in $(DESTDIR)/usr/share/$(SOFTWARE)/*-png; \
+	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-png; \
 	do \
 		cp -a share/common/*.png $${DIRECTORY}; \
 	done
 
-	for DIRECTORY in $(DESTDIR)/usr/share/$(SOFTWARE)/*-svg; \
+	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-svg; \
 	do \
 		cp -a share/common/*.svg $${DIRECTORY}; \
 	done
@@ -77,6 +76,9 @@
 			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
 		fi; \
 	done
+
+	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	cp -r CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 uninstall:
 	for SECTION in $$(seq 1 8); \
@@ -100,10 +102,10 @@
 	done
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/mods-available || true
 
-	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/*
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(SOFTWARE) || true
+	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT) || true
 
-	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)/*
+	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc/$(SOFTWARE) || true
 
 clean:

=== share/man/Makefile ===
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight

A2X = a2x \
	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
	--doctype=manpage

SHELL := sh -e

all: build

clean:
	rm -f *.[0-9]
	rm -f *.xml

build: man

rebuild: clean build

man: *.txt
	for FILE in *.txt; \
	do \
		$(A2X) --format=manpage $${FILE}; \
	done

.PHONY: all clean build rebuild man

## open-infrastructure-service-tools 20190301-lts1

=== debian/changelog ===
open-infrastructure-service-tools (20190301-lts1-2) sid; urgency=medium

  * Uploading to sid.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding patch to fix FTBFS with newer asciidoc versions (Closes:
    #948901).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 21:47:55 +0100

open-infrastructure-service-tools (20190301-lts1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 16:10:29 +0100

open-infrastructure-service-tools (20190301-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Updating packaging for upstream rename.
  * Removing source local-options, not needed anymore.
  * Adding entries with upload targets in changelog.
  * Switching priorities, prefering tango alternatives over awesome.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 16:01:19 +0100

open-infrastructure-service-tools (20170701-3) sid; urgency=medium

  * Uploading to sid.
  * Renaming binary package to open-infrastructure-apache-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 10:37:50 +0100

open-infrastructure-service-tools (20170701-2) sid; urgency=medium

  * Uploading to sid.
  * Using lzip tarball in watch file.
  * Updating to standards version 4.1.1.
  * Adding Rules-Requires-Root field.
  * Adding enhances for apache2.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming source package to open-infrastructure-service-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 16:15:20 +0100

open-infrastructure-apache-icons (20170701-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170701.
  * Removing superfluous --parallel when invoking debhelper as it's the
    default with compat level 10, thanks to Gianfranco Costamagna
    <locutusofborg@debian.org>.
  * Generalizing rules file.
  * Updating to standards version 4.0.0.
  * Using https for copyright format url.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Jul 2017 10:16:43 +0200

open-infrastructure-apache-icons (20161101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Oct 2016 17:23:44 +0200

open-infrastructure-apache-icons (20160701-1) sid; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160701.
  * Adding provides apache-icons.
  * Updating upstream git location.
  * Updating vcs fields.
  * Updating build-depends to include tools for manpage generation.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Jul 2016 15:35:06 +0200

open-infrastructure-apache-icons (20160601-1) sid; urgency=low

  * Initial upload to sid (Closes: #826323).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Jun 2016 11:54:42 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://open-infrastructure.net/software/service-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/CHANGELOG.txt
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt
 
-	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/apache-icons debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)
+	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/* debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)

## open-infrastructure-service-tools 20210828

=== apache/Makefile ===
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT = open-infrastructure
SOFTWARE = service-tools
PROGRAM = apache-icons

all: build

build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

	for ICON in share/icons/*; \
	do \
		ICON="$$(basename $${ICON})"; \
		mkdir -p build/$${ICON}-png; \
		mkdir -p build/$${ICON}-svg; \
		while read LINE; \
		do \
			TARGET="$$(echo $${LINE} | awk '{ print $$1 }')"; \
			SOURCE="$$(echo $${LINE} | awk '{ print $$2 }')"; \
			echo "Converting $${SOURCE} to $${TARGET}..."; \
			rsvg-convert -f svg -h 22 -w 22 share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-svg/$${TARGET}.svg; \
			rsvg-convert share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-png/$${TARGET}.orig.png; \
			convert -resize 22x22 build/$${ICON}-png/$${TARGET}.orig.png build/$${ICON}-png/$${TARGET}.png; \
			rm -f build/$${ICON}-png/$${TARGET}.orig.png; \
		done < share/maps/$${ICON}.txt; \
		sed -e 's|@FORMAT@|png|' share/apache/icon.conf.in > build/$${ICON}-png.conf; \
		sed -e 's|@FORMAT@|svg|' share/apache/icon.conf.in > build/$${ICON}-svg.conf; \
	done

install: build
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	cp -r ../VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	cp -r build/* $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)

	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-png; \
	do \
		cp -a share/common/*.png $${DIRECTORY}; \
	done

	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-svg; \
	do \
		cp -a share/common/*.svg $${DIRECTORY}; \
	done

	mkdir -p $(DESTDIR)/etc/apache2/conf-available
	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available

	mkdir -p $(DESTDIR)/etc/apache2/mods-available
	cp -a share/apache/mods/* $(DESTDIR)/etc/apache2/mods-available

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r ../CHANGELOG.txt ../LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	for FILE in share/apache/conf/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/conf-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/conf-available || true

	for FILE in share/apache/mods/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/mods-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/mods-available || true

	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT) || true

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc/$(SOFTWARE) || true

clean:
	$(MAKE) -C share/man clean

	rm -rf build
	rm -f README.txt

distclean: clean

reinstall: uninstall install

.PHONY: build

=== dehydrated/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/* share/hooks/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/etc/dehydrated/hook.d

	mkdir -p $(DESTDIR)/etc/cron.d
	cp -r share/cron/* $(DESTDIR)/etc/cron.d

	mkdir -p $(DESTDIR)/etc/cron.daily
	ln -s /usr/bin/dehydrated-cron $(DESTDIR)/etc/cron.daily/dehydrated

	mkdir -p $(DESTDIR)/etc/logrotate.d
	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/dehydrated/hooks
	cp -r share/hooks/* $(DESTDIR)/usr/share/dehydrated/hooks

	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/clean_challenge.nsupdate
	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/deploy_challenge.nsupdate

uninstall:
	rm -rf $(DESTDIR)/usr/share/dehydrated/hooks
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/dehydrated || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	for FILE in share/logrotate/*; \
	do \
		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/logrotate.d || true

	rm -f $(DESTDIR)/etc/cron.daily/dehydrated
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.daily || true

	for FILE in share/cron/*; \
	do \
		rm -f $(DESTDIR)/etc/cron.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.d || true

	rm -rf $(DESTDIR)/etc/dehydrated/hook.d
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/dehydrated || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== git/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/* share/hooks/* share/hooks/*/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ ! -d $${SCRIPT} ]; \
			then \
				shellcheck -e SC2039 $${SCRIPT} || true; \
				echo -n "."; \
			fi; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/dehydrated/hooks
	cp -r share/hooks/* $(DESTDIR)/usr/share/dehydrated/hooks

uninstall:
	rm -rf $(DESTDIR)/usr/share/git/hooks
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/git || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== knot-resolver/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== debian/changelog ===
open-infrastructure-service-tools (20210828-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210828.
  * Updating to debhelper version 13.
  * Updating to standards version 4.6.0.
  * Updating year in copyright file.
  * Removing ftbfs-asciidoc.patch, not needed anymore.
  * Updating build-depends for new upstream version.
  * Removing apache-icons transitional package, not needed anymore.
  * Updating package description (Closes: #921238).
  * Updating rules for new upstream directory layout.
  * Removing unused gitignore in debian directory.
  * Adding additional tool packages, disabled for the time being.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 28 Aug 2021 11:26:50 +0200

=== debian/control ===
Source: open-infrastructure-service-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 imagemagick,
 librsvg2-bin,
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://open-infrastructure.net/software/service-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools

Package: open-infrastructure-apache-tools
Section: admin
Architecture: all
Depends:
 apache2-data,
 ${misc:Depends},
Provides:
 apache-tools,
Enhances:
 apache2,
Description: additional tools for Apache HTTP server
 This package contains additional tools for the Apache HTTP server:
 .
   * alternative icons for Apache autoindex (Tango Icons and Font Awesome
     based themes)

#Package: open-infrastructure-dehydrated-tools
#Section: admin
#Architecture: all
#Depends:
# dehydrated,
# ${misc:Depends},
#Provides:
# dehydrated-tools,
#Enhances:
# dehydrated,
#Description: additional tools for dehydrated Letsencrypt client
# This package contains additional tools for the dehydrated Letsencrypt client.

#Package: open-infrastructure-git-tools
#Section: admin
#Architecture: all
#Depends:
# git,
# ${misc:Depends},
#Provides:
# git-tools,
#Enhances:
# git,
#Description: additional tools for Git version control system
# This package contains additional tools for the Git version control system.

#Package: open-infrastructure-irker-tools
#Section: admin
#Architecture: all
#Depends:
# irker,
# ${misc:Depends},
#Provides:
# irker-tools,
#Enhances:
# irker,
#Description: additional tools for irker IRC notification daemon
# This package contains additional tools for the irker IRC notification daemon:

#Package: open-infrastructure-knot-resolver-tools
#Section: admin
#Architecture: all
#Depends:
# knot-resolver,
# ${misc:Depends},
#Provides:
# knot-resolver-tools,
#Enhances:
# knot-resolver,
#Description: additional tools for knot DNS resolver
# This package contains additional tools for the knot DNS resolver.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGES := apache

%:
	dh ${@} --with apache2

override_dh_auto_build:
	# disabled

override_dh_auto_clean:
	for PACKAGE in $(PACKAGES); \
	do \
		$(MAKE) -C $${PACKAGE} clean; \
	done

override_dh_auto_install:
	for PACKAGE in $(PACKAGES); \
	do \
		$(MAKE) -C $${PACKAGE} DESTDIR=$(CURDIR)/debian/open-infrastructure-$${PACKAGE}-tools install; \
	done

	# apache-tools
	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/CHANGELOG.txt
	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/LICENSE.txt
	mv debian/open-infrastructure-apache-tools/usr/share/doc/* debian/open-infrastructure-apache-tools/usr/share/doc/open-infrastructure-apache-tools

## open-infrastructure-service-tools 20210908

=== apache/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -13,7 +15,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 SHELL := sh -e

=== dehydrated/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	then \
 		for SCRIPT in $(SCRIPTS); \
 		do \
-			shellcheck -e SC2039 $${SCRIPT}; \
+			shellcheck -e SC1090 -e SC2039 $${SCRIPT}; \
 			echo -n "."; \
 		done; \
 	else \
@@ -58,7 +58,8 @@
 	fi
 	@echo " done."
 
-build:
+build: share/man/*.rst
+	$(MAKE) -C share/man
 
 install: build
 	mkdir -p $(DESTDIR)/etc/dehydrated/hook.d
@@ -81,7 +82,25 @@
 	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/clean_challenge.nsupdate
 	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/deploy_challenge.nsupdate
 
+	for SECTION in $$(seq 1 8); \
+	do \
+		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
+		then \
+			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
+			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
+		fi; \
+	done
+
 uninstall:
+	for SECTION in $$(seq 1 8); \
+	do \
+		for FILE in share/man/*.$${SECTION}; \
+		do \
+			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
+		done; \
+		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
+	done
+
 	rm -rf $(DESTDIR)/usr/share/dehydrated/hooks
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/dehydrated || true

=== irker/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ ! -d $${SCRIPT} ]; \
			then \
				shellcheck -e SC1090 -e SC2039 $${SCRIPT} || true; \
				echo -n "."; \
			fi; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== knot/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/etc/cron.d
	cp -r share/cron/* $(DESTDIR)/etc/cron.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	for FILE in share/cron/*; \
	do \
		rm -f $(DESTDIR)/etc/cron.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.d || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== dehydrated/share/man/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} service-tools |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
open-infrastructure-service-tools (20210908-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210908.
  * If no domain is specified in dehydrated preseeding, do not assume the
    systems hostname automatically.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 07 Sep 2021 21:24:31 +0200

open-infrastructure-service-tools (20210907-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210907.
  * Adding depends to ssl-cert to ensure group is present.
  * Adding support to fetch dehydrated tsig file from URL.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 07 Sep 2021 06:20:42 +0200

open-infrastructure-service-tools (20210906-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210906.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Sep 2021 07:24:44 +0200

open-infrastructure-service-tools (20210905-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210905.
  * Updating hook debconf handling for dehydrated-hook rename.
  * Adding tsig debconf handling for dehydrated-nsupdate.
  * Adding domain preseeding for dehydrated.
  * Don't fail in rules if apache-tools have been disabled.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Sep 2021 09:16:11 +0200

open-infrastructure-service-tools (20210904-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210904.
  * Updating control for knot-tools.
  * Correcting typo in debconf templates for dehydrated/auto-cleanup
    field.
  * Reworking dehydrated debconf handling completely.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Sep 2021 18:49:00 +0200

open-infrastructure-service-tools (20210828-2) sid; urgency=medium

  * Uploading to sid.
  * Allowing to specify 'ALL' in dehydrated hooks preseeding.
  * Run dehydration registration only when no account is already present.
  * Actually moving dehydrated directory if needed.
  * Avoiding error when trying to creating directories ontop of symlinks
    when moving directories.
  * Parsing control file in rules to automatically enable packages.
  * Adding remaining configuration options for dehydrated preseeding.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 03 Sep 2021 13:00:56 +0200

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
 #Architecture: all
 #Depends:
 # dehydrated,
+# ssl-cert,
 # ${misc:Depends},
 #Provides:
 # dehydrated-tools,
@@ -69,6 +70,19 @@
 #Description: additional tools for irker IRC notification daemon
 # This package contains additional tools for the irker IRC notification daemon:
 
+#Package: open-infrastructure-knot-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# knot,
+# ${misc:Depends},
+#Provides:
+# knot-tools,
+#Enhances:
+# knot,
+#Description: additional tools for knot DNS server
+# This package contains additional tools for the knot DNS server.
+
 #Package: open-infrastructure-knot-resolver-tools
 #Section: admin
 #Architecture: all
